Bug 643140 (Autokey) - Review Request: autokey - A desktop automation utility
Summary: Review Request: autokey - A desktop automation utility
Keywords:
Status: CLOSED ERRATA
Alias: Autokey
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Rahul Sundaram
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-14 18:49 UTC by Raghu Udiyar
Modified: 2011-08-22 15:04 UTC (History)
8 users (show)

Fixed In Version: autokey-0.71.3-4.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-17 00:58:27 UTC
Type: ---
metherid: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Raghu Udiyar 2010-10-14 18:49:04 UTC
Spec URL: http://dl.dropbox.com/u/7899621/autokey/autokey.spec
SRPM URL: http://dl.dropbox.com/u/7899621/autokey/autokey-0.71.0-1.fc13.src.rpm
Description: 
Hi, 

I'm submitting autokey for inclusion in Fedora. It is a tool that allows the automation of tasks by responding to typed abbreviations and hot keys. It allows to configure triggers for text expansion. It has GUI (gtk and qt) that makes it very easy to use, as well as a scripting interface offering the full flexibility and power of the Python language.

This is my first package and therefore I need a sponsor.

RPM Lint:

[makerpm@rudiyar rpmbuild]$ rpmlint SRPMS/autokey-0.71.0-1.fc13.src.rpm 
autokey.src: W: invalid-url URL: http://autokey.googlecode.com IncompleteRead(0 bytes read)
autokey.src: W: invalid-url Source0: http://autokey.googlecode.com/files/autokey_0.71.0.tar.gz HTTP Error 404: Not Found
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
[makerpm@rudiyar rpmbuild]$ rpmlint RPMS/noarch/autokey-0.71.0-1.fc13.noarch.rpm 
autokey.noarch: W: invalid-url URL: http://autokey.googlecode.com IncompleteRead(0 bytes read)
autokey.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
[makerpm@rudiyar rpmbuild]$ rpmlint RPMS/noarch/autokey-common-0.71.0-1.fc13.noarch.rpm 
autokey-common.noarch: E: explicit-lib-dependency python-xlib
autokey-common.noarch: W: invalid-url URL: http://autokey.googlecode.com IncompleteRead(0 bytes read)
autokey-common.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/autokey/common.py 0644L /usr/bin/env
autokey-common.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/autokey/service.py 0644L /usr/bin/env
autokey-common.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/autokey/evdev.py 0644L /usr/bin/env
autokey-common.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/autokey/nogui.py 0644L /usr/bin/env
autokey-common.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/autokey/daemon.py 0644L /usr/bin/env
autokey-common.noarch: W: service-default-enabled /etc/rc.d/init.d/autokey
autokey-common.noarch: W: service-default-enabled /etc/rc.d/init.d/autokey
autokey-common.noarch: E: subsys-not-used /etc/rc.d/init.d/autokey
autokey-common.noarch: W: incoherent-init-script-name autokey ('autokey-common', 'autokey-commond')
1 packages and 0 specfiles checked; 7 errors, 4 warnings.
[makerpm@rudiyar rpmbuild]$ rpmlint RPMS/noarch/autokey-gtk-0.71.0-1.fc13.noarch.rpm 
autokey-gtk.noarch: W: invalid-url URL: http://autokey.googlecode.com IncompleteRead(0 bytes read)
autokey-gtk.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/autokey/gtkapp.py 0644L /usr/bin/env
1 packages and 0 specfiles checked; 1 errors, 1 warnings.
[makerpm@rudiyar rpmbuild]$ rpmlint RPMS/noarch/autokey-qt-0.71.0-1.fc13.noarch.rpm 
autokey-qt.noarch: W: invalid-url URL: http://autokey.googlecode.com IncompleteRead(0 bytes read)
autokey-qt.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/autokey/qtui/centralwidget.py 0644L /usr/bin/env
autokey-qt.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/autokey/qtapp.py 0644L /usr/bin/env
autokey-qt.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/autokey/qtui/interfacesettings.py 0644L /usr/bin/env
autokey-qt.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/autokey/qtui/dialogs.py 0644L /usr/bin/env
autokey-qt.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/autokey/qtui/phrasepage.py 0644L /usr/bin/env
autokey-qt.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/autokey/qtui/hotkeysettings.py 0644L /usr/bin/env
autokey-qt.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/autokey/qtui/specialhotkeysettings.py 0644L /usr/bin/env
autokey-qt.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/autokey/qtui/enginesettings.py 0644L /usr/bin/env
autokey-qt.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/autokey/qtui/abbrsettings.py 0644L /usr/bin/env
autokey-qt.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/autokey/qtui/settingswidget.py 0644L /usr/bin/env
autokey-qt.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/autokey/qtui/windowfiltersettings.py 0644L /usr/bin/env
autokey-qt.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/autokey/qtui/recorddialog.py 0644L /usr/bin/env
autokey-qt.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/autokey/qtui/scriptpage.py 0644L /usr/bin/env
autokey-qt.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/autokey/qtui/folderpage.py 0644L /usr/bin/env
autokey-qt.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/autokey/qtui/generalsettings.py 0644L /usr/bin/env
1 packages and 0 specfiles checked; 15 errors, 1 warnings.


Out of the above errors: 

1. non-executable-script ones are seen because those files are included from
other python scripts
2. explicit-lib-dependency python-xlib - I've found rpm doesn't find this, but it's required by the package
3. subsys-not-used /etc/rc.d/init.d/autokey - I've asked upstream to add this and implement the "status" for init script.
4. Url is valid, I am not sure why rpmlint is complaining.

Comment 1 Thomas Spura 2010-10-20 11:43:14 UTC
I'm no sponsor anyway, so just some comments:

- non-executable-script, see:
  http://fedoraproject.org/wiki/Packaging_tricks#Remove_shebang_from_Python_libraries
- explicit-lib-dependency is ignorable, because rpmlint just checks if there is 'lib' in the same of the dependencies. In this case it's false positive...

Comment 2 Thomas Spura 2010-10-20 11:58:57 UTC
(In reply to comment #1)
> - explicit-lib-dependency is ignorable, because rpmlint just checks if there is
> 'lib' in the same of the dependencies. In this case it's false positive...

"same" -> "name"

Comment 3 Raghu Udiyar 2010-11-10 09:41:33 UTC
Is this request being reviewed? What is the status?

Comment 4 Thomas Spura 2010-11-10 09:52:20 UTC
(In reply to comment #3)
> Is this request being reviewed? What is the status?

You need to find a sponsor, either with packaging more packages and/or review other packages "informal", so your sponsor sees, that you have understand the guidelines.

I gave you some comments, so you could bump the release and do some changes, so that issues are gone (for example).

But because I'm not a sponsor yet, I can't review this…

Comment 5 Raghu Udiyar 2011-01-30 19:36:06 UTC
Updated the package per upstream changes :

SPEC file : http://dl.dropbox.com/u/7899621/autokey/autokey.spec

SRPM : http://dl.dropbox.com/u/7899621/autokey/autokey-0.71.2-1.fc14.src.rpm

Koji scratch build : http://koji.fedoraproject.org/koji/taskinfo?taskID=2750770


I understand the process now -- I'll start helping on other requests.

Comment 6 Raghu Udiyar 2011-02-02 19:58:00 UTC
Contributed on the following request :

https://bugzilla.redhat.com/show_bug.cgi?id=673630

Updated the package a bit more :

SPEC File : http://dl.dropbox.com/u/7899621/autokey/autokey.spec
SRPM : http://dl.dropbox.com/u/7899621/autokey/autokey-0.71.2-1.fc14.src.rpm

Comment 7 Raghu Udiyar 2011-02-03 19:40:39 UTC
Unofficial review on : https://bugzilla.redhat.com/show_bug.cgi?id=673630


Some more changes to package :

SPEC : http://dl.dropbox.com/u/7899621/autokey/autokey.spec
SRPM : http://dl.dropbox.com/u/7899621/autokey/autokey-0.71.2-2.fc14.src.rpm


$ rpmlint SPECS/autokey.spec SRPMS/autokey-0.71.2-2.fc14.src.rpm RPMS/noarch/autokey-*
SPECS/autokey.spec: W: invalid-url Source0: http://autokey.googlecode.com/files/autokey_0.71.2.tar.gz HTTP Error 404: Not Found
autokey.src: W: invalid-url Source0: http://autokey.googlecode.com/files/autokey_0.71.2.tar.gz HTTP Error 404: Not Found
autokey.noarch: W: no-documentation
autokey-common.noarch: E: explicit-lib-dependency python-xlib
autokey-common.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/autokey/daemon.py 0644L /usr/bin/env
autokey-common.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/autokey/common.py 0644L /usr/bin/env
autokey-common.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/autokey/evdev.py 0644L /usr/bin/env
autokey-common.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/autokey/service.py 0644L /usr/bin/env
autokey-common.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/autokey/nogui.py 0644L /usr/bin/env
autokey-common.noarch: W: service-default-enabled /etc/rc.d/init.d/autokey
autokey-common.noarch: W: service-default-enabled /etc/rc.d/init.d/autokey
autokey-common.noarch: E: subsys-not-used /etc/rc.d/init.d/autokey
autokey-common.noarch: W: incoherent-init-script-name autokey ('autokey-common', 'autokey-commond')
autokey-gtk.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/autokey/gtkapp.py 0644L /usr/bin/env
autokey-qt.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/autokey/qtui/windowfiltersettings.py 0644L /usr/bin/env
autokey-qt.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/autokey/qtui/hotkeysettings.py 0644L /usr/bin/env
autokey-qt.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/autokey/qtui/interfacesettings.py 0644L /usr/bin/env
autokey-qt.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/autokey/qtui/generalsettings.py 0644L /usr/bin/env
autokey-qt.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/autokey/qtui/centralwidget.py 0644L /usr/bin/env
autokey-qt.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/autokey/qtui/folderpage.py 0644L /usr/bin/env
autokey-qt.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/autokey/qtui/settingswidget.py 0644L /usr/bin/env
autokey-qt.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/autokey/qtui/dialogs.py 0644L /usr/bin/env
autokey-qt.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/autokey/qtui/scriptpage.py 0644L /usr/bin/env
autokey-qt.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/autokey/qtui/specialhotkeysettings.py 0644L /usr/bin/env
autokey-qt.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/autokey/qtapp.py 0644L /usr/bin/env
autokey-qt.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/autokey/qtui/phrasepage.py 0644L /usr/bin/env
autokey-qt.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/autokey/qtui/enginesettings.py 0644L /usr/bin/env
autokey-qt.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/autokey/qtui/abbrsettings.py 0644L /usr/bin/env
autokey-qt.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/autokey/qtui/recorddialog.py 0644L /usr/bin/env
5 packages and 1 specfiles checked; 23 errors, 6 warnings.

Comment 9 Raghu Udiyar 2011-02-28 18:02:39 UTC
Resolved rpmlint errors :

- Added script to remove shebangs from python libraries
- Service not enabled by default any more
- Added lockfile to initscript (Patch has been posted to upstream)


SPEC : http://dl.dropbox.com/u/7899621/autokey/autokey.spec
SRPM : http://dl.dropbox.com/u/7899621/autokey/autokey-0.71.2-3.fc14.src.rpm


$ rpmlint autokey.spec ../SRPMS/autokey-0.71.2-3.fc14.src.rpm ../RPMS/noarch/autokey-*
autokey.spec: W: invalid-url Source0: http://autokey.googlecode.com/files/autokey_0.71.2.tar.gz HTTP Error 404: Not Found
autokey.src: W: invalid-url Source0: http://autokey.googlecode.com/files/autokey_0.71.2.tar.gz HTTP Error 404: Not Found
autokey.noarch: W: no-documentation
autokey-common.noarch: E: explicit-lib-dependency python-xlib
autokey-common.noarch: W: incoherent-init-script-name autokey ('autokey-common', 'autokey-commond')
5 packages and 1 specfiles checked; 1 errors, 4 warnings.

Comment 10 Patrice FERLET 2011-03-05 16:35:03 UTC
hi,
for python-xlib you can remove this dependency, you're in noarch so dependency will be safely found by rpm

For 404 error, I tried my self and I don't have this error...

Comment 11 Patrice FERLET 2011-03-05 16:38:40 UTC
ncoherent-init-script-name autokey:
http://fedoraproject.org/wiki/ParagNemade/CommonRpmlintErrors#incoherent-init-script-name

Comment 12 Patrice FERLET 2011-03-05 16:40:13 UTC
Documentation:
You've got doc dir in package, you can install this directory in files section

Comment 13 Raghu Udiyar 2011-03-06 12:48:16 UTC
Hi Patrice,

Thank you for your comments :

- Removed python-xlib
- Upstream notified that the Initscript is deprecated and is not required for X.org version 1.7.6 and above. So I have removed it from the package.
- I have included the doc/scripting folder in the %doc section. The manpages have already been included.

SPEC : http://dl.dropbox.com/u/7899621/autokey/autokey.spec
SRPM : http://dl.dropbox.com/u/7899621/autokey/autokey-0.71.2-5.fc14.src.rpm


$ rpmlint autokey.spec ../SRPMS/autokey-0.71.2-5.fc14.src.rpm ../RPMS/noarch/autokey-*
autokey.spec: W: invalid-url Source0: http://autokey.googlecode.com/files/autokey_0.71.2.tar.gz HTTP Error 404: Not Found
autokey.src: W: invalid-url Source0: http://autokey.googlecode.com/files/autokey_0.71.2.tar.gz HTTP Error 404: Not Found
autokey.noarch: W: no-documentation
5 packages and 1 specfiles checked; 0 errors, 3 warnings.

Comment 14 Raghu Udiyar 2011-03-07 23:20:04 UTC
Informal review on :

https://bugzilla.redhat.com/show_bug.cgi?id=682353

Comment 15 Patrice FERLET 2011-03-13 21:10:52 UTC
This 404 error is strange, could you try to do:
spectool -gf youspecfile

It must download tarball on current directory... if not: can you try to download your source tarball with wget ?

Comment 16 Raghu Udiyar 2011-03-13 22:36:46 UTC
Yes, spectool works fine, not sure why rpmlint fails :

$ spectool -gf autokey.spec
--2011-03-14 04:03:37--  http://autokey.googlecode.com/files/autokey_0.71.2.tar.gz
Resolving autokey.googlecode.com... 209.85.153.82
Connecting to autokey.googlecode.com|209.85.153.82|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 235998 (230K) [application/x-gzip]
Saving to: “./autokey_0.71.2.tar.gz”

100%[=======================================================================================================================================>] 235,998     66.1K/s   in 3.5s    

2011-03-14 04:03:41 (66.1 KB/s) - “./autokey_0.71.2.tar.gz” saved [235998/235998]

Comment 17 Raghu Udiyar 2011-03-18 17:34:18 UTC
Contributions on :

https://bugzilla.redhat.com/show_bug.cgi?id=682545
https://bugzilla.redhat.com/show_bug.cgi?id=683150
https://bugzilla.redhat.com/show_bug.cgi?id=678634

- Added desktop-file-validate

SPEC : http://dl.dropbox.com/u/7899621/autokey/autokey.spec
SRPM : http://dl.dropbox.com/u/7899621/autokey/autokey-0.71.2-6.fc14.src.rpm

$ rpmlint autokey.spec ../RPMS/noarch/autokey-* ../SRPMS/autokey-0.71.2-6.fc14.src.rpm 
autokey.spec: W: invalid-url Source0: http://autokey.googlecode.com/files/autokey_0.71.2.tar.gz HTTP Error 404: Not Found
autokey.noarch: W: no-documentation
autokey.src: W: invalid-url Source0: http://autokey.googlecode.com/files/autokey_0.71.2.tar.gz HTTP Error 404: Not Found
5 packages and 1 specfiles checked; 0 errors, 3 warnings.

Comment 18 Raghu Udiyar 2011-04-18 20:48:51 UTC
Updated package to new upstream release :

SPEC : http://dl.dropbox.com/u/7899621/autokey/autokey.spec
SRPM : http://dl.dropbox.com/u/7899621/autokey/autokey-0.71.3-1.fc14.src.rpm


$ rpmlint autokey.spec ../RPMS/noarch/autokey-* ../SRPMS/autokey-0.71.3-1.fc14.src.rpm 
autokey.spec: W: invalid-url Source0: http://autokey.googlecode.com/files/autokey_0.71.3.tar.gz HTTP Error 404: Not Found
autokey.noarch: W: no-documentation
autokey.src: W: invalid-url Source0: http://autokey.googlecode.com/files/autokey_0.71.3.tar.gz HTTP Error 404: Not Found
5 packages and 1 specfiles checked; 0 errors, 3 warnings.

Comment 19 Raghu Udiyar 2011-05-21 18:16:56 UTC
Can a sponsor look at this review. I just want to know if there is anything else I can do to take this request forward.

Comment 20 David Timms 2011-05-21 23:08:09 UTC
Hi Raghu, I'm not a sponsor, but offer the following, mainly regarding readability:

- Line spacing: I like to see a fixed number of blank lines between each spec section header. Currently you have either 1 or 2. (I prefer to use 2 so that each heading stands out, but at least be consistent).

- Use of tabs: in the top part, if you really want to use tabs, then the same number of tabs should be used between each ':' and value. (Currently there is some 2x or 1x tab, equating to between 1 and 4 characters spacing).

- Can the package by used command line only ?

- There seems to be no files assigned to the main package. Does that create a real but no files present package ? Could the -common subpackage instead just be the main package ?

- As a side note: Upstream mentions it is essentially maintenance only, and that the most up2date autohotkey compatibility is found with IronAHK. What made you choose autokey rather than IronAHK for packaging ? 

- If bugs are present in autokey, do you feel that you would be able to tackle them without upstream support ?

Comment 21 Raghu Udiyar 2011-05-24 22:29:37 UTC
Hi David,

Thank you very much for your comments.


(In reply to comment #20)
> - Line spacing: I like to see a fixed number of blank lines between each spec
> section header. Currently you have either 1 or 2. (I prefer to use 2 so that
> each heading stands out, but at least be consistent).


I see what you mean, but at the same time, I don't want the spec file to get too long. 

However, I have added the spacing, should be more readable now.


> - Use of tabs: in the top part, if you really want to use tabs, then the same
> number of tabs should be used between each ':' and value. (Currently there is
> some 2x or 1x tab, equating to between 1 and 4 characters spacing).


The reason I used 1x and 2x tabs is to line all the entries. Does'nt look good otherwise.

 
> - Can the package by used command line only ?

No, GUI is required.

 
> - There seems to be no files assigned to the main package. Does that create a
> real but no files present package ? Could the -common subpackage instead just
> be the main package ?


The main "autokey" package is a meta-package.

The reason I used this format was because of the two frontends available, gtk and qt. 

I searched around for packages that provide two frontends and found the spec for the "Transmission" package, and so I followed the implementation there.

This is how the dependencies get pulled currently.

On, Gnome :

1) autokey -> autokey-common -> autokey-gtk 

or

2) autokey-gtk -> autokey-common

On, Kde :

3) autokey-qt -> autokey-common


So, here Gnome users have the advantage of just using 1), run "yum install autokey" and get the package. They don't have to search and find that the package is named autokey-gtk.


I could keep a common "autokey" package, but then I don't know to write the dependency to pull gtk, qt frontend. I guess I'd have to define "autokey-gtk" and "autokey-qt", but lose the Gnome advantage I mentioned above.

 
> - As a side note: Upstream mentions it is essentially maintenance only, and
> that the most up2date autohotkey compatibility is found with IronAHK. What 
> made you choose autokey rather than IronAHK for packaging ? 

Couple of reasons :

1. IronAHK uses mono, Autokey uses python (and I like python)
2. Autokey doesn't implement the advance features present in autohotkey (you'll have to  use IronAHK for that)
3. So , it's a lot simpler
4. I like the interface and it's very lightweight
5. Has been very stable and has an active user community : http://groups.google.com/group/autokey-users
6. Featured on Lifehacker.com ( so, kinda well known :) )

Regarding "maintenance only", see below


> - If bugs are present in autokey, do you feel that you would be able to tackle
> them without upstream support ?

Excerpt from autokey homepage : http://code.google.com/p/autokey/

" The development status of this software is support-only. Bug reports will be handled and fixes released if deemed appropriate, but no new features will be implemented. Users seeking more advanced features are encouraged to use and support IronAHK."

So, the project is not dead, but on a feature freeze. Bugs found are being pursued and fixed : http://code.google.com/p/autokey/issues/list


Please do let me know if you have any other concerns.

Comment 22 Raghu Udiyar 2011-06-13 23:14:33 UTC
Hi David,

Could you confirm if the above addresses your queries?


Following are the new spec/srpm files :

http://dl.dropbox.com/u/7899621/autokey/autokey.spec
http://dl.dropbox.com/u/7899621/autokey/autokey-0.71.3-2.fc14.src.rpm

$ rpmlint autokey.spec
autokey.spec: W: invalid-url Source0: http://autokey.googlecode.com/files/autokey_0.71.3.tar.gz HTTP Error 404: Not Found
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

Comment 23 Raghu Udiyar 2011-07-12 15:25:18 UTC
Sent a message to upstream, to confirm if the licence is GPLv3 or "GPLv3 or later"

Once I receive the confirmation, I will rebuild the package in koji and provide the link.

Comment 24 Raghu Udiyar 2011-07-13 14:19:05 UTC
Confirmed that the licence is GPLv3 and upstream has agreed to :

a. Mention the licence explicitly in the README
b. Use a standard source directory, i.e autokey-version.tar.gz , previously the tar ball unpacked to a "build" directory, trivial but a good change.

Koji build of the latest package : 

http://koji.fedoraproject.org/koji/taskinfo?taskID=3196600

Comment 25 Rahul Sundaram 2011-07-14 05:32:02 UTC
Removed FE_NEEDSPONSOR since Bill Nottingham has kindly sponsored 

https://fedorahosted.org/fesco/ticket/633

Comment 26 Raghu Udiyar 2011-07-31 23:13:27 UTC
Updated the SPEC with the new upstream release and the following changes :

- Update to upstream 0.71.3-2 release
- Source tarball now extracts to "autokey-version" instead of "build" directory
- The README file now explicitly mentions the licence
- Drop defattr from the spec since recent RPM makes it redundant

Koji build : http://koji.fedoraproject.org/koji/taskinfo?taskID=3242254

SPEC file and RPM :

http://raghusiddarth.fedorapeople.org/autokey.spec
http://raghusiddarth.fedorapeople.org/transmission-2.33-1.fc15.src.rpm

Comment 27 Rahul Sundaram 2011-08-04 08:53:31 UTC
As I noted in IRC.  not a fan of the metapackage here but it is certainly not a blocker to the review.  

APPROVED

Comment 28 Raghu Udiyar 2011-08-04 13:31:14 UTC
Thank you!

Comment 29 Raghu Udiyar 2011-08-05 01:56:21 UTC
New Package SCM Request
=======================
Package Name: autokey
Short Description: A desktop automation utility
Owners: raghusiddarth
Branches: f14 f15
InitialCC:

Comment 30 Gwyn Ciesla 2011-08-05 10:00:15 UTC
Git done (by process-git-requests).

Added f16 branch.  Also, please take ownership of review requests you're
working on.  Thanks!

Comment 31 Fedora Update System 2011-08-05 21:37:04 UTC
autokey-0.71.3-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/autokey-0.71.3-4.fc15

Comment 32 Fedora Update System 2011-08-05 21:37:14 UTC
autokey-0.71.3-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/autokey-0.71.3-4.fc16

Comment 33 Fedora Update System 2011-08-05 21:37:22 UTC
autokey-0.71.3-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/autokey-0.71.3-4.fc14

Comment 34 Fedora Update System 2011-08-08 20:49:31 UTC
autokey-0.71.3-4.fc16 has been pushed to the Fedora 16 testing repository.

Comment 35 Fedora Update System 2011-08-17 00:58:19 UTC
autokey-0.71.3-4.fc14 has been pushed to the Fedora 14 stable repository.

Comment 36 Fedora Update System 2011-08-17 01:10:10 UTC
autokey-0.71.3-4.fc15 has been pushed to the Fedora 15 stable repository.

Comment 37 Fedora Update System 2011-08-22 15:04:50 UTC
autokey-0.71.3-4.fc16 has been pushed to the Fedora 16 stable repository.


Note You need to log in before you can comment on or make changes to this bug.